## org.eclipse.ocl.expressions
Interface CollectionItem<C>

All Superinterfaces:
  CollectionLiteralPart<C>, EObject, Notifier, TypedElement<C>, Visitable

All Known Subinterfaces:
  CollectionItem, CollectionItem

All Known Implementing Classes:
  CollectionItemImpl, CollectionItemImpl, CollectionItemImpl

    public interface CollectionItem<C>

extends CollectionLiteralPart<C>

A representation of the model object 'Collection Item'.

The following features are supported:

- `Item`

See Also:
  `ExpressionsPackage.getCollectionItem()`

Method Summary
`boolean` `checkItemType(DiagnosticChain diagnostics, Map<Object,Object> context)` type = item.type
`OCLExpression<C>` `getItem()` Returns the value of the 'Item' containment reference
`void` `setItem(OCLExpression<C> value)` Sets the value of the '`Item`' containment reference

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getItem

    OCLExpression<C> getItem()

  Returns the value of the 'Item' containment reference.

  If the meaning of the 'Item' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Item' containment reference.
  See Also:
    `setItem(OCLExpression)`, `ExpressionsPackage.getCollectionItem_Item()`

### setItem

    void setItem(OCLExpression<C> value)

  Sets the value of the '`Item`' containment reference.

  Parameters:
    `value` - the new value of the 'Item' containment reference.
  See Also:
    `getItem()`

### checkItemType

    boolean checkItemType(DiagnosticChain diagnostics,
                          Map<Object,Object> context)

  type = item.type

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.